﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Settings.ascx.cs" Inherits="LiveChatInc.Settings" %>

<link rel="stylesheet" href="<%=ControlPath%>css/settings.css">

<div class="row livechat-integration">
    <div class="col1 <%=(!string.IsNullOrEmpty(license.Value) ? "sso-on" : "sso-off") %>">
        <input type="hidden" runat="server" id="login" class="hidden" />
        <input type="hidden" runat="server" id="license" class="hidden" />

        <fieldset id="paramsConfiguration" runat="server" class="connected-info-hidden">
            <div class="form-group" style="margin-bottom: 30px;">
                Currently you are using <b><%=login.Value %></b> LiveChat account.
            </div>
            <div class="form-group">
                <asp:label id="hideOnMobile" AssociatedControlID="chHideOnMobile" CssClass="dnnLabel" runat="server">Hide chat window on mobile:</asp:label>
                <asp:CheckBox ID="chHideOnMobile" runat="server" />
            </div>
            <div class="form-group">
                If you would like to change LiveChat account you can
                <a id="reset" href="javascript:void()">reset settings</a>
            </div>
        </fieldset>

        <asp:Button ID="deleteSettings" OnClick="reset_Click" Text="submit" runat="server" Style="visibility: hidden" CssClass="hidden" />
        <asp:Button ID="applySettings" OnClick="apply_Click" Text="submit" runat="server" Style="visibility: hidden" CssClass="hidden" />

        <fieldset id="ssoConfiguration" runat="server" class="connect-info-hidden">
            <div class="center">
                <img class="livechat_logo2" alt="livechat logo" src="<%=ControlPath%>images/livechat-integrates-with-dnn.png" />
            </div>
            <div class="center">
                <div id="login_form">
                    <iframe id="login-with-livechat" src="https://addons.livechatinc.com/sign-in-with-livechat/dotnetnuke"></iframe>
                </div>
                <div class="or-delimiter" style="margin-top: 6px">or</div>
                <div id="livechat_link" style="margin-top: 6px">
                    <a href="https://my.livechatinc.com/signup?utm_source=dnnsoftware.com&utm_medium=integration&utm_campaign=<%=Uri.EscapeDataString(Request.Url.AbsoluteUri)%>" target="_blank">create account</a>
                </div>
            </div>
        </fieldset>
    </div>
    <div class="col2">
        <div class="livechat-integration-app-container">
            <img src="<%=ControlPath%>images/livechat-app.png" class="livechat-integration-app-img">
            <p><a href="https://my.livechatinc.com/signup?utm_source=dnnsoftware.com&utm_medium=integration&utm_campaign=<%=Uri.EscapeDataString(Request.Url.AbsoluteUri)%>" target="_blank">Use our web app</a> or check out apps for <a href="https://www.livechatinc.com/applications/?utm_source=dnnsoftware.com&utm_medium=integration&utm_campaign=<%=Uri.EscapeDataString(Request.Url.AbsoluteUri)%>" target="_blank">desktop or mobile</a>.</p>
        </div>
    </div>
</div>

<script type="text/javascript">
    function reset() {
        $('#<%=deleteSettings.ClientID%>').click();
    }

    function apply() {
        $('#<%=applySettings.ClientID%>').click();
    }

    var sendMessage = function(msg) {
        document.getElementById('login-with-livechat').contentWindow.postMessage(msg, '*');
    };

    $(document).ready(function() {
        function receiveMessage(event) {
            console.log(event);
            if (!event.data)
                return;

            var livechatMessage = JSON.parse(event.data);

            if (livechatMessage.type === 'logged-in' && livechatMessage.eventTrigger === 'click') {
                $('#<%=login.ClientID%>').val(livechatMessage.email);
                $('#<%=license.ClientID%>').val(livechatMessage.license);
                apply();
            } else if (livechatMessage.type === 'signed-out') {
                reset();
            }
        }

        window.addEventListener("message", receiveMessage, false);

        $(document).on('click', '#reset', function(e) {
            e.preventDefault();
            sendMessage('logout');
        });
    });
</script>
